/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.ifeed.intsvc.atom;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;

import org.apache.abdera.model.Entry;
import org.apache.abdera.model.Feed;
import org.springframework.web.bind.annotation.RequestParam;

public interface IFeedFeedService {

    @GET
    @Produces({ "application/xml", "application/atom+xml;type=feed" })
    @Path("/{id}/feed")
    Feed getIFeed(@PathParam("id") Long id, @RequestParam(
            value = "by", required = false) String sortField, @RequestParam(
                    value = "dir", required = false) String sortDirection);

    @GET
    @Produces({ "application/xml", "application/atom+xml;type=entry" })
    @Path("/{id}")
    Entry getIFeedEntry(@PathParam("id") Long id);

}
